// main: ./main.less, out: ../style.css, compress: false

/*!
Theme Name: BaseSite
Theme URI: http://underscores.me/
Author: Luca Pagot
Author URI: http://underscores.me/
Description: Description
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: LICENSE
Text Domain: basesite
Tags: custom-background, custom-logo, custom-menu, featured-images, threaded-comments, translation-ready

This theme, like WordPress, is licensed under the GPL.
Use it to make something cool, have fun, and share what you've learned with others.

BaseSite is based on Underscores https://underscores.me/, (C) 2012-2017 Automattic, Inc.
Underscores is distributed under the terms of the GNU GPL v2 or later.

Normalizing styles have been helped along thanks to the fine work of
Nicolas Gallagher and Jonathan Neal https://necolas.github.io/normalize.css/
*/
/*--------------------------------------------------------------
>>> TABLE OF CONTENTS:
----------------------------------------------------------------
# Normalize
# Typography
# Elements
# Forms
# Navigation
	## Links
	## Menus
# Accessibility
# Alignments
# Clearings
# Widgets
# Content
	## Posts and pages
	## Comments
# Infinite scroll
# Media
	## Captions
	## Galleries
--------------------------------------------------------------*/
/*--------------------------------------------------------------
# Normalize
--------------------------------------------------------------*/

body {
	margin: 0;
	height: 100%;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
main,
menu,
nav,
section,
summary {
	display: block;
}

audio,
canvas,
progress,
video {
	display: inline-block;
	vertical-align: baseline;
}

audio:not([controls]) {
	display: none;
	height: 0;
}

[hidden],
template {
	display: none;
}

a {
	background-color: transparent;
}

a:active,
a:hover {
	outline: 0;
}

abbr[title] {
	border-bottom: 1px dotted;
}

b,
strong {
	font-weight: bold;
}

dfn {
	font-style: italic;
}

h1 {
	font-size: 2em;
	margin: 0.67em 0;
}

mark {
	background: #ff0;
	color: #000;
}

small {
	font-size: 80%;
}

sub,
sup {
	font-size: 75%;
	line-height: 0;
	position: relative;
	vertical-align: baseline;
}

sup {
	top: -0.5em;
}

sub {
	bottom: -0.25em;
}

img {
	border: 0;
}

svg:not(:root) {
	overflow: hidden;
}

figure {
	margin: 1em 40px;
}

hr {
	box-sizing: content-box;
	height: 0;
}

pre {
	overflow: auto;
}

code,
kbd,
pre,
samp {
	.txt--font__normal;
	font-size: 1em;
}

button,
input,
optgroup,
select,
textarea {
	color: inherit;
	font: inherit;
	margin: 0;
}

button {
	overflow: visible;
	font-family: 'AkkuratBold';
}

button,
select {
	text-transform: none;
}

select {
	appearance: none;
	-webkit-appearance: none;
	-moz-appearance: none;	
	border: none;
	border-radius: 0;
	-webkit-border-radius: 0;
	height: 36px;
	padding: 4px 24px 3px 10px;
	color: @vr__col-2;
	background-color: @vr__col-1;
	background-image: url('./wp-content/images/icn__arrowDownWhite.png');
	background-position: center right 10px;
	background-size: 12px;
	background-repeat: no-repeat;
	.txt--font__bold;
}

select:focus {
	outline: 0;
}

button,
html input[type="button"],
input[type="reset"],
input[type="submit"] {
	-webkit-appearance: button;
	cursor: pointer;
}

button[disabled],
html input[disabled] {
	cursor: default;
	opacity: .3;
}

button::-moz-focus-inner,
input::-moz-focus-inner {
	border: 0;
	padding: 0;
}

input {
	line-height: normal;
}

input[type="checkbox"],
input[type="radio"] {
	box-sizing: border-box;
	padding: 0;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
	height: auto;
}

input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-decoration {
	-webkit-appearance: none;
}

fieldset {
	border: 1px solid @vr__col-1;
	margin: 0 2px;
	padding: 0.35em 0.625em 0.75em;
}

legend {
	border: 0;
	padding: 0;
}

textarea {
	overflow: auto;
}

optgroup {
	font-weight: bold;
}

table {
	border-collapse: collapse;
	border-spacing: 0;
}

td,
th {
	padding: 0;
}

/*--------------------------------------------------------------
# Typography
--------------------------------------------------------------*/
// body,
// button,
// input,
// select,
// optgroup,
// textarea {
// 	color: #404040;
// 	.txt--font__normal;
// 	font-size: 16px;
// 	font-size: 1rem;
// 	line-height: 1.5;
// }

h1, h2, h3, h4, h5, h6 {
	clear: both;
}

p {
	margin-bottom: 1.5em;
}

dfn, cite, em, i {
	font-style: italic;
}

blockquote {
	margin: 0 1.5em;
}

address {
	margin: 0 0 1.5em;
}

pre {
	background: #eee;
	.txt--font__normal;
	font-size: 15px;
	font-size: 0.9375rem;
	line-height: 1.6;
	margin-bottom: 1.6em;
	max-width: 100%;
	overflow: auto;
	padding: 1.6em;
}

code, kbd, tt, var {
	.txt--font__normal;
	font-size: 15px;
	font-size: 0.9375rem;
}

abbr, acronym {
	border-bottom: 1px dotted #666;
	cursor: help;
}

mark, ins {
	background: #fff9c0;
	text-decoration: none;
}

big {
	font-size: 125%;
}

/*--------------------------------------------------------------
# Elements
--------------------------------------------------------------*/
html {
	box-sizing: border-box;
	height: 100%;
}

*,
*:before,
*:after {
	/* Inherit box-sizing to make it easier to change the property for components that leverage other behavior; see https://css-tricks.com/inheriting-box-sizing-probably-slightly-better-best-practice/ */
	box-sizing: inherit;
}

body {
	background: url('./wp-content/images/body--linee.svg');	
	background-repeat: no-repeat;
	background-size: 100% auto;
	/* Fallback for when there is no custom background color defined. */
}

hr {
	background-color: #ccc;
	border: 0;
	height: 1px;
	margin-bottom: 1.5em;
}

ul, ol {
	margin: 0 0 1.5em 3em;
}

ul {
	list-style: disc;
}

ol {
	list-style: decimal;
}

li > ul,
li > ol {
	margin-bottom: 0;
	margin-left: 1.5em;
}

dt {
	font-weight: bold;
}

dd {
	margin: 0 1.5em 1.5em;
}

img {
	height: auto;
	/* Make sure images are scaled correctly. */
	max-width: 100%;
	width: 100%;
	/* Adhere to container width. */
}

figure {
	margin: 1em 0;
	/* Extra wide images within figure tags don't overflow the content area. */
}

table {
	margin: 0 0 1.5em;
	width: 100%;
}

/*--------------------------------------------------------------
# Forms
--------------------------------------------------------------*/

body:not(.user-is-tabbing) button:focus,
body:not(.user-is-tabbing) input:focus,
body:not(.user-is-tabbing) select:focus,
body:not(.user-is-tabbing) textarea:focus {
  outline: none;
}


button,
input[type="button"],
input[type="reset"],
input[type="submit"] {
	border: 1px solid @vr__col-4;
	color: @vr__col-5;;
	font-size: @size__rg;
}

button:hover,
input[type="button"]:hover,
input[type="reset"]:hover,
input[type="submit"]:hover {
	border-color: #ccc #bbb #aaa;
}

button:active, button:focus,
input[type="button"]:active,
input[type="button"]:focus,
input[type="reset"]:active,
input[type="reset"]:focus,
input[type="submit"]:active,
input[type="submit"]:focus {
	border-color: #aaa #bbb #bbb;
}

input[type="text"],
input[type="email"],
input[type="url"],
input[type="password"],
input[type="search"],
input[type="number"],
input[type="tel"],
input[type="range"],
input[type="date"],
input[type="month"],
input[type="week"],
input[type="time"],
input[type="datetime"],
input[type="datetime-local"],
input[type="color"],
textarea {
	color: @vr__col-1;
	border: 1px solid @vr__col-4;
	padding: 8px 6px;
}

input[type="text"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="password"]:focus,
input[type="search"]:focus,
input[type="number"]:focus,
input[type="tel"]:focus,
input[type="range"]:focus,
input[type="date"]:focus,
input[type="month"]:focus,
input[type="week"]:focus,
input[type="time"]:focus,
input[type="datetime"]:focus,
input[type="datetime-local"]:focus,
input[type="color"]:focus,
textarea:focus {
	color: @vr__col-1;
}

textarea {
	width: 100%;
}

/*--------------------------------------------------------------
## Links
--------------------------------------------------------------*/
a {
	color: @vr__col-5;
	.trans.long;
	text-decoration: none;
}

a:visited {
	color: @vr__col-5;
}

a:hover, a:focus, a:active {
	color: @vr__col-5;
}

a:focus {
	outline: 0;
}

a:hover, a:active {
	outline: 0;
}

/*--------------------------------------------------------------
## Menus
--------------------------------------------------------------*/
.site-header {
	position: relative;
	display: flex;
	justify-content: space-between;
	align-items: center;
	background-color: transparent;
	padding: 0 @margin__lg;
	height: @header__h;
	width: 100%;
	top: 0;
	z-index: 200;

}

body.isScroll {
	padding-top: @header__h;
	.site-header {
		position: fixed;
		background-color: @vr__col-2;
		.animation__scroll;
		@media @mq--tablet, @mq--smartphone {
		 	animation-name             : initial;
			animation-duration         : initial;
		}
	}

}
.home.isScroll {
	margin-top: @header__h!important;
	padding-top: 0!important

}
// #primary-menu li {
// 	margin: 0 @margin__rg;	
// }

.site-branding {
	position: fixed;
	top: @margin__lg*2;
	left: @margin__lg;
	z-index: 999;
	img {
		width: 45px;
	}
}

.main-navigation {
	clear: both;
	display: flex;
	justify-content: space-between;
	width: 100%;
	.trans;
	a {
		display: block;
		text-decoration: none;
		.txt--font__normal;
		white-space: nowrap;
	}
	ul {
		display: none;
		list-style: none;
		margin: 0;
		display: flex;
		padding: @margin__rg/2 0;	
		li:hover > ul {
			top: 100%;
			opacity: 1;
			visibility: visible;
			z-index: 10;
		}
		ul {
			display: flex;
			flex-direction: column;
			justify-content: flex-end;
			background-color: #fff;
			position: absolute;
			top: 80%;
			left: 0;
			z-index: 0;
			opacity: 0;
			visibility: hidden;
			.trans;
		}
	}
	li {
		padding: 10px 15px;
		position: relative;
		text-align: left;
		&:first-child {
			padding-left: 0;
		}
		&:last-child {
			padding-right: 0;
		}
	}
}

.sub-menu li {
	padding: 10px 15px!important;
}

.menu-item > a {
	position: relative;

	&:after, &:before {
		content: '';
		display: block;
		position: absolute;
		bottom: -2px;
		height: 1px;
		background-color: @vr__col-1;
		.trans;
	}
	&:after {
		left: 0;
		width: 10px;
	}
	&:before {
		right: 0;
		width: 0;
	}
	@media @mq--nophone {
		&:hover {
			&:after, &:before {
				width: 50%;
			}

		}
	}

}
.menu-toggle {
	display: none;
}

body.isOpen {
	.site-header {
		//height: 100vh;
		height: 100%;
		background-color: @vr__col-2;
		overflow: visible;
	}
	.main-navigation {
		opacity: 1;
		visibility: visible;
	}
}
@media @mq--tablet, @mq--smartphone {
	body {
		margin-top:100px;
	}
	.site-header {
		position: fixed;
		background-color: @vr__col-2;
		height: 100px;
		overflow: hidden;
		.trans;
	}
	.site-branding {
		img {
			width: 40px;
		}
	}
	.menu-toggle {
		display: block;
		position: absolute;
		top: 35px;
		left: 40px;
		width: 44px;
		height: 24px;

		z-index: 201;
		.line {
			position: absolute;
			display: block;
			width: 100%;
			height: 1px;
			background-color: @vr__col-1;
			.trans;

			&--1 {
				top: 0;
				left: 0;
				.u-transform(scaleX(1));								
			}
			&--2 {
				top: 50%;
				left: 5px;
				.u-transform(rotate(0));
			}
			&--3 {
				top: 50%;
				left: 5px;
				.u-transform(rotate(0));
				opacity: 0;			
			}
			&--4 {
				bottom: 0;
				left: 0;
				.u-transform(scaleX(1));				
			}
		}
		&.isOpen {
			.line {
				&--1 {
					top: 0;
					left: 0;
					.u-transform(scaleX(0));
					
				}
				&--2 {
					top: 50%;
					left: 0;
					.u-transform(rotate(45deg));
				}
				&--3 {
					top: 50%;
					left: 0;
					.u-transform(rotate(-45deg));
					opacity: 1;
				}
				&--4 {
					bottom: 0;
					left: 0;
					.u-transform(scaleX(0));					
				}
			}
		}
	}
	.site-branding {
		position: fixed;
		top: @margin__rg;
		left: 50%;
		.u-transform(translateX(-50%));
		z-index: 201;
	}
	.main-navigation {
		flex-direction: column;
		opacity: 0;
		visibility: hidden;
		//display: none; //---
		margin-top: 10vh;
		ul {
			flex-direction: column;
			padding:0;	
			ul {
				position: relative;
				top: initial;
				background-color: transparent;
				display: block;
				opacity: 1;
				visibility: visible;
				display: flex;
				justify-content: space-around;
			}
			li:hover > ul {
				top: 100%;
				opacity: 1;
				visibility: visible;
				z-index: 10;
			}
		}
		li {
			padding: 0;
			text-align: center;
			a {
				margin: 20px 0;
				@media @mq--smartphone {
					margin: 1.5vh 0;		
				}
			}
		}
	}
	.sub-menu li {
		padding: 0!important;
	}
	.menu-item > a {
		display: inline-block;
	}
}
@media @mq--tablet {
	.menu-item a {
		font-size: @size__md;
	}
}

@media @mq--smartphone {
	.menu-item a {
		.txt--font__bold;
		margin: 13px 0;		
	}
}
.site-main .comment-navigation, .site-main
.posts-navigation, .site-main
.post-navigation {
	margin: 0 0 1.5em;
	overflow: hidden;
}

.comment-navigation .nav-previous,
.posts-navigation .nav-previous,
.post-navigation .nav-previous {
	float: left;
	width: 50%;
}

.comment-navigation .nav-next,
.posts-navigation .nav-next,
.post-navigation .nav-next {
	float: right;
	text-align: right;
	width: 50%;
}

/*--------------------------------------------------------------
# Sticky footer
--------------------------------------------------------------*/
.page-template-template-about, .page-template-template-contact, .woocommerce-page {
	html, body {
		height: 100%;
		margin: 0;
	}
	.site {
		min-height: 100%;
	
		/* Equal to height of footer */
		/* But also accounting for potential margin-bottom of last child */
		margin-bottom: -50px;
	}
	.footer,
	.push {
		height: 160px;
	}
}
/*--------------------------------------------------------------
# Accessibility
--------------------------------------------------------------*/
/* Text meant only for screen readers. */
.screen-reader-text {
	border: 0;
	clip: rect(1px, 1px, 1px, 1px);
	clip-path: inset(50%);
	height: 1px;
	margin: -1px;
	overflow: hidden;
	padding: 0;
	position: absolute !important;
	width: 1px;
	word-wrap: normal !important; /* Many screen reader and browser combinations announce broken words as they would appear visually. */
}

.screen-reader-text:focus {
	background-color: #f1f1f1;
	border-radius: 3px;
	box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.6);
	clip: auto !important;
	clip-path: none;
	color: #21759b;
	display: block;
	font-size: 14px;
	font-size: 0.875rem;
	font-weight: bold;
	height: auto;
	left: 5px;
	line-height: normal;
	padding: 15px 23px 14px;
	text-decoration: none;
	top: 5px;
	width: auto;
	z-index: 100000;
	/* Above WP toolbar. */
}

/* Do not show the outline on the skip link target. */
#content[tabindex="-1"]:focus {
	outline: 0;
}

/*--------------------------------------------------------------
# Alignments
--------------------------------------------------------------*/
.alignleft {
	display: inline;
	float: left;
	margin-right: 1.5em;
}

.alignright {
	display: inline;
	float: right;
	margin-left: 1.5em;
}

.aligncenter {
	clear: both;
	display: block;
	margin-left: auto;
	margin-right: auto;
}

/*--------------------------------------------------------------
# Clearings
--------------------------------------------------------------*/
// .clear:before,
// .clear:after,
// .entry-content:before,
// .entry-content:after,
// .comment-content:before,
// .comment-content:after,
// .site-content:before,
// .site-content:after,
// .site-footer:before,
// .site-footer:after {
// 	content: "";
// 	display: table;
// 	table-layout: fixed;
// }

// .clear:after,
// .entry-content:after,
// .comment-content:after,
// .site-content:after,
// .site-footer:after {
// 	clear: both;
// }

/*--------------------------------------------------------------
# Widgets
--------------------------------------------------------------*/
.widget {
	margin: 0 0 1.5em;
	/* Make sure select elements fit in widgets. */
}

.widget select {
	max-width: 100%;
}

/*--------------------------------------------------------------
# Content
--------------------------------------------------------------*/
/*--------------------------------------------------------------
## Posts and pages
--------------------------------------------------------------*/
.sticky {
	display: block;
}

.hentry {
	margin: 0 0 1.5em;
}

.updated:not(.published) {
	display: none;
}

.page-content,
.entry-content,
.entry-summary {
	margin: 1.5em 0 0;
}

.page-links {
	clear: both;
	margin: 0 0 1.5em;
}

/*--------------------------------------------------------------
## Comments
--------------------------------------------------------------*/
.comment-content a {
	word-wrap: break-word;
}

.bypostauthor {
	display: block;
}

/*--------------------------------------------------------------
# Infinite scroll
--------------------------------------------------------------*/
/* Globally hidden elements when Infinite Scroll is supported and in use. */
.infinite-scroll .posts-navigation,
.infinite-scroll.neverending .site-footer {
	/* Theme Footer (when set to scrolling) */
	display: none;
}

/* When Infinite Scroll has reached its end we need to re-display elements that were hidden (via .neverending) before. */
.infinity-end.neverending .site-footer {
	display: block;
}

/*--------------------------------------------------------------
# Media
--------------------------------------------------------------*/
.page-content .wp-smiley,
.entry-content .wp-smiley,
.comment-content .wp-smiley {
	border: none;
	margin-bottom: 0;
	margin-top: 0;
	padding: 0;
}

/* Make sure embeds and iframes fit their containers. */
embed,
iframe,
object {
	max-width: 100%;
}

/* Make sure logo link wraps around logo image. */
.custom-logo-link {
	display: inline-block;
}

/*--------------------------------------------------------------
## Captions
--------------------------------------------------------------*/
.wp-caption {
	margin-bottom: 1.5em;
	max-width: 100%;
}

.wp-caption img[class*="wp-image-"] {
	display: block;
	margin-left: auto;
	margin-right: auto;
}

.wp-caption .wp-caption-text {
	margin: 0.8075em 0;
}

.wp-caption-text {
	text-align: center;
}

/*--------------------------------------------------------------
## Galleries
--------------------------------------------------------------*/
.gallery {
	margin-bottom: 1.5em;
}

.gallery-item {
	display: inline-block;
	text-align: center;
	vertical-align: top;
	width: 100%;
}

.gallery-columns-2 .gallery-item {
	max-width: 50%;
}

.gallery-columns-3 .gallery-item {
	max-width: 33.33%;
}

.gallery-columns-4 .gallery-item {
	max-width: 25%;
}

.gallery-columns-5 .gallery-item {
	max-width: 20%;
}

.gallery-columns-6 .gallery-item {
	max-width: 16.66%;
}

.gallery-columns-7 .gallery-item {
	max-width: 14.28%;
}

.gallery-columns-8 .gallery-item {
	max-width: 12.5%;
}

.gallery-columns-9 .gallery-item {
	max-width: 11.11%;
}

.gallery-caption {
	display: block;
}
